<?php
session_start();
require_once('../../conexion.php');
require_once('../../include/sesiones.php');
// Declaramos la librería
require  ('vendor/autoload.php');

$proveedor=$_GET['proveedor'];


use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spread = new Spreadsheet();

$sheet = $spread->getActiveSheet();
$sheet->getStyle('A:Z')->getAlignment()->setHorizontal('center');/* centar contenido de celdas */
$sheet->mergeCells('A1:f1')->mergeCells('A2:f2');/*combinas celdas*/

function cellColor($cells,$color)/* FUNSION PARA COLORES DE CELDA*/
{
    global $sheet;

    $sheet->getStyle($cells)->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()
    ->setARGB($color);
}


cellColor('A2:f2', 'BDBDBD'); 
cellColor('A1:f1', 'BDBDBD'); 
cellColor('A3:f3', 'FF4D00'); 

if($proveedor==0)


{

$sheet->setCellValue('A1', 'CUENTAS POR PAGAR');

            //Ancho de las columnas
$sheet->getColumnDimension('A')->setWidth(20);   
$sheet->getColumnDimension('B')->setWidth(10);  
$sheet->getColumnDimension('C')->setWidth(10); 
$sheet->getColumnDimension('D')->setWidth(10); 
$sheet->getColumnDimension('E')->setWidth(20);
$sheet->getColumnDimension('F')->setWidth(10);

    $cel=3;//Numero de fila donde empezara a crear  el reporte

$sumador_saldo=0; 
    $query=mysqli_query($con,"SELECT * FROM compras where sucursal='$sucursal' and empresa='$empresa' and com_estado='sin pagar' and com_formapago='Credito' order by proveedor_nombre ") or die(mysqli_error($con));
   while($roww=mysqli_fetch_array($query))
   { 

        $com_id=$roww['com_id'];
        $proveedor_pro_id=$roww['proveedor_pro_id'];
        $com_facturaproveedor=$roww['com_facturaproveedor'];
        $com_fecha=$roww['com_fecha'];
        $com_dias=$roww['com_dias'];

       /* $pdf->SetFillColor(215,235,2415);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(190,6,utf8_decode($roww['proveedor_nombre']),1,0,'C',1);
        $pdf->Ln();*/
        $a="A".$cel;
        // Agregar datos
        $sheet->mergeCells("A".($cel).":F".($cel))
        ->setCellValue($a, '');
        cellColor('A'.$cel.':F'.$cel, 'FFFFFF');
        $cel+=1;

        $a="A".$cel;
        // Agregar datos
        $sheet->mergeCells("A".($cel).":F".($cel))
        ->setCellValue($a, utf8_decode($roww['proveedor_nombre']));


        cellColor('A'.$cel.':F'.$cel, 'BDBDBD');
        $cel+=1;

         $vence = strtotime($com_fecha."+ ".$com_dias." days");
             date("Y-m-d",$vence) . "\n";
            $fecha=date('Y-m-d ');

            $hasta=date("Y-m-d",$vence) . "\n";
            $hoy=$fecha;
            $dias = (strtotime($hasta)-strtotime($hoy))/86400;
            $dias = abs($dias);

            if($hasta >= $hoy)
            {
                $dias = '-' .floor($dias);
            }
            else
            {
                $dias = '+' .floor($dias);
              
            }

            $registross=mysqli_query($con,"SELECT * FROM compra_detalle where empresa='$empresa' and compras_com_id ='$com_id'") or die(mysqli_error($con));
            $reg=mysqli_fetch_array($registross);


            $comd_cantidad=$reg['comd_cantidad'];
            $comd_precio=$reg['comd_precio'];
            $total_fac=$comd_cantidad*$comd_precio;
        
           /* $pdf->SetFillColor(235,325,115);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(32,6,utf8_decode('FACTURA N°'),1,0,'C',1);
            $pdf->Cell(32,6,$com_facturaproveedor,1,0,'C',1);
            $pdf->Cell(31,6,'VENCE',1,0,'C',1);
            $pdf->Cell(32,6,$dias,1,0,'C',1);
            $pdf->Cell(32,6,'TOTAL FACTURA',1,0,'C',1);
            $pdf->Cell(31,6,number_format($total_fac),1,0,'C',1);
            $pdf->Ln();  

            $pdf->SetFillColor(235,325,315);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(95,6,'FECHA DE ABONOS',1,0,'C',1);
            $pdf->Cell(95,6,'ABONOS',1,0,'C',1);
            $pdf->Ln(); 

            $pdf->SetFillColor(235,325,315);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(95,6,'FECHA DE ABONOS',1,0,'C',1);
            $pdf->Cell(95,6,'ABONOS',1,0,'C',1);
            $pdf->Ln(); */

            $a="A".$cel;
            $b="B".$cel;
            $c="C".$cel;
            $d="D".$cel;
            $e="E".$cel;
            $f="F".$cel;
                     
            // Agregar datos
            $sheet->setCellValue($a, utf8_decode('FACTURA #'))
            ->setCellValue($b, $com_facturaproveedor)
            ->setCellValue($c, 'VENCE')
            ->setCellValue($d, $dias)
            ->setCellValue($e, 'TOTAL FACTURA')
            ->setCellValue($f, number_format($total_fac));

            /* color a las celdas con funsion*/            
            cellColor('A'.$cel.':F'.$cel, 'FF4D00');

            $cel+=1;

            $a="A".$cel;
            $b="B".$cel;
            $c="C".$cel;
            $d="D".$cel;
            $e="E".$cel;
            $f="F".$cel;
                     
                                 
            // Agregar datos
            $sheet->mergeCells("A".($cel).":C".($cel))->mergeCells("D".($cel).":F".($cel))
            ->setCellValue($a, 'FECHA DE ABONOS')
             ->setCellValue($d, 'ABONOS');

            $cel+=1;

            $saldo_vencido=0;
            $suma_abo=0;   
            $saldo=0;
            $registross1=mysqli_query($con,"SELECT * FROM compra_abonos where empresa='$empresa' and compras_com_id ='$com_id'") or die(mysqli_error($con));
            while ($reg1=mysqli_fetch_array($registross1))
            {  

                $coab_fecha=$reg1['coab_fecha'];
                $coab_abono=$reg1['coab_abono'];

                $total=$comd_cantidad*$comd_precio;

                $suma_abo+=$coab_abono;

                $saldo=$total-$suma_abo;           
               
                if ($coab_abono==0) 
                {  }
                else
                    {
              
                       /* $pdf->SetWidths(array(95,95));
                        srand(time()*1000000);
                        $pdf->Row(array($com_fecha,number_format($coab_abono)));*/

                    $a="A".$cel;
                    $b="B".$cel;
                    $c="C".$cel;
                    $d="D".$cel;
                    $e="E".$cel;
                    $f="F".$cel;

                             
                    // Agregar datos
                    $sheet->mergeCells("A".($cel).":C".($cel))->mergeCells("D".($cel).":F".($cel))
                    ->setCellValue($a, $com_fecha)
                    ->setCellValue($d, number_format($coab_abono));

                    $cel+=1;
                    }
          
            }

            /*$pdf->SetFillColor(110,199,555);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(159,6,'TOTAL ABONADO',1,0,'R',1);
            $pdf->Cell(31,6,number_format($suma_abo,0),1,0,'C',1);
            $pdf->Ln();*/

            $e="E".$cel;
            $f="F".$cel;

            // Agregar datos
            $sheet->mergeCells("A".($cel).":D".($cel))
            ->setCellValue($e, 'TOTAL ABONO')
            ->setCellValue($f, number_format($suma_abo,0));

            cellColor('e'.$cel.':f'.$cel, 'BDBDBD');
            $cel+=1;

            $e="E".$cel;
            $f="F".$cel;

            // Agregar datos
            $sheet->mergeCells("A".($cel).":D".($cel))
            ->setCellValue($e, 'SALDO')
            ->setCellValue($f, number_format($saldo,0));

            cellColor('E'.$cel.':F'.$cel, 'BDBDBD');
            $cel+=1;

           /* $pdf->SetFillColor(255,0,0);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(159,6,'SALDO',1,0,'R',1);
            $pdf->Cell(31,6,number_format($saldo,0),1,0,'C',1);
            $pdf->Ln();*/

            $sumador_saldo+=$saldo; 

/*
            $pdf->SetFillColor(255,255,255);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(190,6,'',1,0,'R',1);
            $pdf->Ln();
*/
    } 


   /* $pdf->SetFillColor(255,255,255);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(190,6,'',1,0,'R',1);
    $pdf->Ln();

    $pdf->SetFillColor(0,187,45);
    $pdf->Cell(160,6,'TOTAL CUENTA POR PAGAR',1,0,'R',1);
    $pdf->Cell(30,6,number_format($sumador_saldo,0),1,0,'C',1);
    $pdf->Ln();

    $pdf->Output();*/


    $e="E".$cel;
    $f="F".$cel;

    // Agregar datos
    $sheet->mergeCells("A".($cel).":d".($cel))
    ->setCellValue($e, 'TOTAL CUENTA POR PAGAR')
    ->setCellValue($f, number_format($sumador_saldo,0));


    cellColor('A'.$cel.':F'.$cel, 'DA8869');



}

else 
{
    $sheet->setCellValue('A1', 'CUENTAS POR PAGAR');

            //Ancho de las columnas
$sheet->getColumnDimension('A')->setWidth(20);   
$sheet->getColumnDimension('B')->setWidth(10);  
$sheet->getColumnDimension('C')->setWidth(10); 
$sheet->getColumnDimension('D')->setWidth(10); 
$sheet->getColumnDimension('E')->setWidth(20);
$sheet->getColumnDimension('F')->setWidth(10);

    $cel=3;//Numero de fila donde empezara a crear  el reporte

 $sumador_saldo=0; 
    $query=mysqli_query($con,"SELECT * FROM compras where sucursal='$sucursal' and empresa='$empresa' and com_estado='sin pagar' and com_formapago='Credito' and proveedor_pro_id='$proveedor '") or die(mysqli_error($con));
   while($roww=mysqli_fetch_array($query))
   { 

        $com_id=$roww['com_id'];
        $proveedor_pro_id=$roww['proveedor_pro_id'];
        $com_facturaproveedor=$roww['com_facturaproveedor'];
        $com_fecha=$roww['com_fecha'];
        $com_dias=$roww['com_dias'];

       /* $pdf->SetFillColor(215,235,2415);
        $pdf->SetFont('Arial','B',8);
        $pdf->Cell(190,6,utf8_decode($roww['proveedor_nombre']),1,0,'C',1);
        $pdf->Ln();*/
        $a="A".$cel;
        // Agregar datos
        $sheet->mergeCells("A".($cel).":F".($cel))
        ->setCellValue($a, '');
        cellColor('A'.$cel.':F'.$cel, 'FFFFFF');
        $cel+=1;

        $a="A".$cel;
        // Agregar datos
        $sheet->mergeCells("A".($cel).":F".($cel))
        ->setCellValue($a, utf8_decode($roww['proveedor_nombre']));


        cellColor('A'.$cel.':F'.$cel, 'BDBDBD');
        $cel+=1;

         $vence = strtotime($com_fecha."+ ".$com_dias." days");
             date("Y-m-d",$vence) . "\n";
            $fecha=date('Y-m-d ');

            $hasta=date("Y-m-d",$vence) . "\n";
            $hoy=$fecha;
            $dias = (strtotime($hasta)-strtotime($hoy))/86400;
            $dias = abs($dias);

            if($hasta >= $hoy)
            {
                $dias = '-' .floor($dias);
            }
            else
            {
                $dias = '+' .floor($dias);
              
            }

            $registross=mysqli_query($con,"SELECT * FROM compra_detalle where empresa='$empresa' and compras_com_id ='$com_id'") or die(mysqli_error($con));
            $reg=mysqli_fetch_array($registross);


            $comd_cantidad=$reg['comd_cantidad'];
            $comd_precio=$reg['comd_precio'];
            $total_fac=$comd_cantidad*$comd_precio;
        
           /* $pdf->SetFillColor(235,325,115);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(32,6,utf8_decode('FACTURA N°'),1,0,'C',1);
            $pdf->Cell(32,6,$com_facturaproveedor,1,0,'C',1);
            $pdf->Cell(31,6,'VENCE',1,0,'C',1);
            $pdf->Cell(32,6,$dias,1,0,'C',1);
            $pdf->Cell(32,6,'TOTAL FACTURA',1,0,'C',1);
            $pdf->Cell(31,6,number_format($total_fac),1,0,'C',1);
            $pdf->Ln();  

            $pdf->SetFillColor(235,325,315);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(95,6,'FECHA DE ABONOS',1,0,'C',1);
            $pdf->Cell(95,6,'ABONOS',1,0,'C',1);
            $pdf->Ln(); 

            $pdf->SetFillColor(235,325,315);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(95,6,'FECHA DE ABONOS',1,0,'C',1);
            $pdf->Cell(95,6,'ABONOS',1,0,'C',1);
            $pdf->Ln(); */

            $a="A".$cel;
            $b="B".$cel;
            $c="C".$cel;
            $d="D".$cel;
            $e="E".$cel;
            $f="F".$cel;
                     
            // Agregar datos
            $sheet->setCellValue($a, utf8_decode('FACTURA #'))
            ->setCellValue($b, $com_facturaproveedor)
            ->setCellValue($c, 'VENCE')
            ->setCellValue($d, $dias)
            ->setCellValue($e, 'TOTAL FACTURA')
            ->setCellValue($f, number_format($total_fac));

            /* color a las celdas con funsion*/            
            cellColor('A'.$cel.':F'.$cel, 'FF4D00');

            $cel+=1;

            $a="A".$cel;
            $b="B".$cel;
            $c="C".$cel;
            $d="D".$cel;
            $e="E".$cel;
            $f="F".$cel;
                     
                                 
            // Agregar datos
            $sheet->mergeCells("A".($cel).":C".($cel))->mergeCells("D".($cel).":F".($cel))
            ->setCellValue($a, 'FECHA DE ABONOS')
             ->setCellValue($d, 'ABONOS');

            $cel+=1;

            $saldo_vencido=0;
            $suma_abo=0;   
            $saldo=0;
            $registross1=mysqli_query($con,"SELECT * FROM compra_abonos where empresa='$empresa' and compras_com_id ='$com_id'") or die(mysqli_error($con));
            while ($reg1=mysqli_fetch_array($registross1))
            {  

                $coab_fecha=$reg1['coab_fecha'];
                $coab_abono=$reg1['coab_abono'];

                $total=$comd_cantidad*$comd_precio;

                $suma_abo+=$coab_abono;

                $saldo=$total-$suma_abo;           
               
                if ($coab_abono==0) 
                {  }
                else
                    {
              
                       /* $pdf->SetWidths(array(95,95));
                        srand(time()*1000000);
                        $pdf->Row(array($com_fecha,number_format($coab_abono)));*/

                    $a="A".$cel;
                    $b="B".$cel;
                    $c="C".$cel;
                    $d="D".$cel;
                    $e="E".$cel;
                    $f="F".$cel;

                             
                    // Agregar datos
                    $sheet->mergeCells("A".($cel).":C".($cel))->mergeCells("D".($cel).":F".($cel))
                    ->setCellValue($a, $com_fecha)
                    ->setCellValue($d, number_format($coab_abono));

                    $cel+=1;
                    }
          
            }

            /*$pdf->SetFillColor(110,199,555);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(159,6,'TOTAL ABONADO',1,0,'R',1);
            $pdf->Cell(31,6,number_format($suma_abo,0),1,0,'C',1);
            $pdf->Ln();*/

            $e="E".$cel;
            $f="F".$cel;

            // Agregar datos
            $sheet->mergeCells("A".($cel).":D".($cel))
            ->setCellValue($e, 'TOTAL ABONO')
            ->setCellValue($f, number_format($suma_abo,0));

            cellColor('e'.$cel.':f'.$cel, 'BDBDBD');
            $cel+=1;

            $e="E".$cel;
            $f="F".$cel;

            // Agregar datos
            $sheet->mergeCells("A".($cel).":D".($cel))
            ->setCellValue($e, 'SALDO')
            ->setCellValue($f, number_format($saldo,0));

            cellColor('E'.$cel.':F'.$cel, 'BDBDBD');
            $cel+=1;

           /* $pdf->SetFillColor(255,0,0);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(159,6,'SALDO',1,0,'R',1);
            $pdf->Cell(31,6,number_format($saldo,0),1,0,'C',1);
            $pdf->Ln();*/

            $sumador_saldo+=$saldo; 

/*
            $pdf->SetFillColor(255,255,255);
            $pdf->SetFont('Arial','B',8);
            $pdf->Cell(190,6,'',1,0,'R',1);
            $pdf->Ln();
*/
    } 


   /* $pdf->SetFillColor(255,255,255);
    $pdf->SetFont('Arial','B',8);
    $pdf->Cell(190,6,'',1,0,'R',1);
    $pdf->Ln();

    $pdf->SetFillColor(0,187,45);
    $pdf->Cell(160,6,'TOTAL CUENTA POR PAGAR',1,0,'R',1);
    $pdf->Cell(30,6,number_format($sumador_saldo,0),1,0,'C',1);
    $pdf->Ln();

    $pdf->Output();*/


    $e="E".$cel;
    $f="F".$cel;

    // Agregar datos
    $sheet->mergeCells("A".($cel).":d".($cel))
    ->setCellValue($e, 'TOTAL CUENTA POR PAGAR')
    ->setCellValue($f, number_format($sumador_saldo,0));


    cellColor('A'.$cel.':F'.$cel, 'DA8869');



}



// Redirigir la salida al navegador web de un cliente ( Excel5 )
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="REPORTE CUENTAS POR PAGAR.xlsx"');
header('Cache-Control: max-age=0');
// Si usted está sirviendo a IE 9 , a continuación, puede ser necesaria la siguiente
header('Cache-Control: max-age=1');

$writer = new Xlsx($spread);
$writer->save('php://output');
exit;
/*
$fileName="Descarga_excel.xlsx";
# Crear un "escritor"
$writer = new Xlsx($spread);
# Le pasamos la ruta de guardado

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment; filename="'. urlencode($fileName).'"');
$writer->save('php://output');
?>*/
?>